using System;
using System.Collections.Generic;

namespace Encompass
{
    [AttributeUsage(AttributeTargets.Class)]
    public class Receives : Attribute
    {
        public readonly HashSet<Type> ReceiveTypes;

        public Receives(params Type[] receiveTypes)
        {
            ReceiveTypes = new HashSet<Type>(receiveTypes);
        }
    }
}
